<!-- 카테고리 내용 추가 -->
<div class="modal-wrapper" id="modalWrapper" th:if="${categoryDtl == null}">
	<h2>카테고리 정보 등록</h2>
	<p>카테고리 상세 정보를 등록할 수 있습니다.</p>
	<div>
		<div class="select-item">
			<label for="inputTime">노출 시간</label>
			<div class="time-picker">
				<input type="hidden" name="categoryCode">
				<input class="input-time hour" id="openTime" name="openTime"><em class="em-fs-22">~</em><input class="input-time hour" id="closeTime" name="closeTime">
			</div>
		</div>
		<hr>
		<div class="select-item">
			<label for="selectYn">노출 여부</label>
			<select class="select-use-yn" name="useYn" id="useYn">
				<option selected disabled th:text="선택하십시오"></option>
				<option value="N" th:text="N"></option>
				<option value="Y" th:text="Y"></option>
			</select>
		</div>
		<hr>
		<div class="select-item">
			<label for="">카테고리 이름</label>
			<input type="text" name="categoryName" placeholder="카테고리 이름을 입력하세요.">
		</div>
		<hr>
		<div class="select-item">
			<label for="">여유 필드</label>
		</div>
		<hr>
		<div class="select-item">
			<label for="">여유 필드</label>
		</div>
		<hr>
		<div class="btn-area">
			<input class="type" type="hidden" name="type" th:value="N">
			<button class="apply-btn" id="applyBtn" onclick="addCategory();">적용</button>
		</div>
	</div>
</div>


<!-- 카테고리 내용 수정 -->
<div class="modal-wrapper"id="modalWrapper" th:if="${categoryDtl != null}">
	<h2 class="category-detail-modal">카테고리 상세 수정</h2>
	<p>카테고리 상세 정보를 수정할 수 있습니다.</p>
	<div>
		<div class="select-item">
			<label for="inputTime">노출 시간</label>
			<div class="time-picker">
				<input class="input-time hour" id="openTime" name="openTime" th:value="${categoryDtl.openTime}"><em class="em-fs-22">~</em><input class="input-time hour" id="closeTime" name="closeTime" th:value="${categoryDtl.closeTime}">
			</div>
		</div>
		<hr>
		<div class="select-item">
			<label for="selectYn">노출 여부</label>
			<select class="select-use-yn" name="useYn" id="useYn">
				<option th:selected="${categoryDtl.useYn}" th:value="${categoryDtl.useYn}" th:text="${categoryDtl.useYn}"></option>
				<option th:if="${categoryDtl.useYn} == 'Y'" value="N" th:text="N"></option>
				<option th:if="${categoryDtl.useYn} == 'N'" value="Y" th:text="Y"></option>
			</select>
		</div>
		<hr>
		<div class="select-item">
			<label for="">카테고리 이름</label>
			<input type="text" id="categoryName" name="categoryName" th:value="${categoryDtl.categoryName}" placeholder="카테고리 이름을 입력하세요.">
		</div>
		<hr>
		<div class="select-item">
			<label for="">여유 필드</label>
		</div>
		<hr>
		<div class="select-item">
			<label for="">여유 필드</label>
		</div>
		<hr>
		<div class="btn-area">
			<input class="type" type="hidden" name="type" th:value="C">
			<input type="hidden" name="categoryCode" th:value="${categoryDtl.categoryCode}">
			<button class="apply-btn" id="closeBtn" th:onclick="deleteCategory([[${categoryDtl.companyCode}]], [[${categoryDtl.categoryCode}]]);">삭제</button>
			<button class="apply-btn" id="applyBtn" onclick="changeCategory();">적용</button>
		</div>
	</div>
</div>
